PQ2-VERIFY(1)

NAME
pq2-verify - Extract the content one or more datasets from a dataset meta-repository based on ROOT files

SYNOPSIS
pq2-verify [options] dataset

DESCRIPTION
This manual page documents briefly the pq2-verify program.

pq2-verify is a script invoking the pq2 ROOT application to extract the content one or more datasets from a dataset meta-repository based on ROOT files; the repository can be accessed via the local file system or a remote file server daemon or a PROOF facility.

More details about the underlying 'pq2' application can be found in the man page pq2(1).

ARGUMENTS

dataset
    Datasets to be analysed; the '*' wild card in the items (in such a case the full string, as shown by pq2-ls, should be given, e.g. '/default/ganis/h1-set5*'.

OPTIONS

-h, --help
    Display help information.

-k, --keep
    Keep the temporary files created during the analysis under $TMPDIR

-v  Verbose mode

-d <dataset>, --dataset=<dataset>
    Alternative way to define the datasets to be analyzed

-o <options>
    Options for veriying datasets. These allow to control: the subset selection; the pre-processing actions; and the processing action.
       Options controlling the file sample:
          A               process all files
          D               process only files marked as staged ('on Disk') (if 'A' is not specified the default
                          is to process only files marked as non-staged)
       Options controlling the pre-processing actions done on the selected sample or the complementary:
          O               open the files marked as staged when processing only files marked as non-staged
          T               open and touch the files marked as staged when processing only files marked as non-staged
          I               do not check the actual stage status on selected files (by default the stage status
                          is checked)
       Options controlling the action performed on the selected files:
          N               do nothing
          P               open the selected files and extract the meta information
          L               only locate the selected files
          S               issue a stage request for the selected files not yet staged
       Miscellanea
          V               notify the actions
    Not all the combinations of the above options are allowed; an error is printed when an incosistency is found.

--redir=<redirector
    URL to be used to relocate the files.

-u <serverurl>, --url=<serverurl>
    URL of the PROOF master or data server providing the information; for data servers, it must include the directory. Can also be specified via the environment variables PQ2PROOFURL or PQ2DSSRVURL (see ENVIRONMENT VARIABLES)."

-t <dir>, --tmpdir=<dir>
    Directory for temporary files; defualt is /tmp/<username>.

RETURN
The pq2-verify script returns -1 if any error occurs (connection failed; dataset does not exists) and >=0 in case of success. A return code of 1 indicates that some of the files in the dataset are not yet online (staged); this can be used to trigger automatic retries in scripts while waiting for stage-in operations.

EXAMPLES

1. Update the 'is-staged' bit for all the files in a dataset
       $ pq2-verify -o "AN" /default/pippo/mydset

2. Issue a locate request for all the files in a dataset
       $ pq2-verify -o "AL" /default/pippo/mydset

ENVIRONMENT VARIABLES
See setup-pq2(1).

SEE ALSO
pq2(1), setup-pq2(1), pq2-ls(1), pq2-ls-files(1), pq2-ls-files-server(1), pq2-info-server(1), pq2-ana-dist(1), pq2-put(1), pq2-rm(1), pq2-cache(1)

For more information on the ROOT system, please refer to http://root.cern.ch (http://root.cern.ch/)

ORIGINAL AUTHORS
Gerardo Ganis for the ROOT team.

COPYRIGHT
This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA

AUTHOR
This manual page was originally written by Gerardo Ganis <gerardo.ganis@cern.ch>, for ROOT version 5.